import React, { CSSProperties } from 'react';
import { AttachNode, AttachNodeReturnValue } from '../common';
export interface PortalProps {
    /**
     * Specifies the HTML node to mount, with false being mounted on the body.
     */
    attach?: React.ReactElement | AttachNode | boolean;
    /**
     * Trigger element.
     */
    triggerNode?: HTMLElement;
    children: React.ReactNode;
    className?: string;
    onClick?: (e: any) => any;
    style?: CSSProperties;
}
export declare function getAttach(attach: PortalProps['attach'], triggerNode?: HTMLElement): AttachNodeReturnValue;
declare const Portal: React.ForwardRefExoticComponent<PortalProps & React.RefAttributes<unknown>>;
export default Portal;
