/**
* @function Add an event listener to the target element
* @description Add an event listener to the target element
* @param {HTMLElement} The element that needs to be monitored, if empty, defaults to window.document
* @param {String} event name
* @param {Function} Callback
* @param {Object} Options for listening to events
* @return {void} Returns the function to stop listening
* @example
*   useListenEvent(btnEl, 'click', () => { console.log('click btn');});
*/
export declare function useListenEvent(event: string, handler: Function, options: object): () => any;
export declare function useListenEvent(target: HTMLElement, event: string, handler: Function, options: object): () => any;
